Bug 815960 - [abrt] calibre-0.8.33-2.fc16: tokenize.py:61:__unicode_process:IndexError: pop from empty list
[abrt] calibre-0.8.33-2.fc16: tokenize.py:61:__unicode_process:IndexError: po...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:35d067b408fbed5581a934d8700...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 17:53 EDT by Gianluca
Modified: 2013-02-13 20:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca 2012-04-24 17:53:38 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.3.2-1.fc16.i686
reason:         tokenize.py:61:__unicode_process:IndexError: pop from empty list
time:           Tue 24 Apr 2012 11:49:58 PM CEST
uid:            1000
username:       gianluca

backtrace:
:tokenize.py:61:__unicode_process:IndexError: pop from empty list
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 186, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
:    override_input_metadata=True)
:  File "/usr/lib/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib/calibre/calibre/ebooks/conversion/plumber.py", line 959, in run
:    accelerators, tdir)
:  File "/usr/lib/calibre/calibre/customize/conversion.py", line 204, in __call__
:    log, accelerators)
:  File "/usr/lib/calibre/calibre/ebooks/rtf/input.py", line 275, in convert
:    xml = self.generate_xml(stream.name)
:  File "/usr/lib/calibre/calibre/ebooks/rtf/input.py", line 136, in generate_xml
:    parser.parse_rtf()
:  File "/usr/lib/calibre/calibre/ebooks/rtf2xml/ParseRtf.py", line 212, in parse_rtf
:    tokenize_obj.tokenize()
:  File "/usr/lib/calibre/calibre/ebooks/rtf2xml/tokenize.py", line 182, in tokenize
:    tokens = map(self.__unicode_process, tokens)
:  File "/usr/lib/calibre/calibre/ebooks/rtf2xml/tokenize.py", line 61, in __unicode_process
:    self.__uc_value.pop()
:IndexError: pop from empty list
:
:Local variables in innermost frame:
:token: '\\}'
:self: <calibre.ebooks.rtf2xml.tokenize.Tokenize instance at 0xa208e2c>

smolt_data:
:
:
:General
:=================================
:UUID: 47224feb-c204-406e-95d1-66fb452dfc0f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3192.53
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU  330   @ 1.60GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1599
:System Memory: 2008
:System Swap: 2499
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.3.2-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10098:32902:17996) pci, i915, VIDEO, 82945G/GZ Integrated Graphics Controller
:(32902:10198:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:32902:17996) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33128:32902:1) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10200:32902:54788) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:32902:17996) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10196:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:32902:17996) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:32902:17996) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:32902:17996) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:32902:17996) pci, agpgart-intel, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:17996) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 14709558 13132968 12985747 3686400 3509484 3509484
:/dev/sda3 /home ext4 4096 4096 23669093 12918146 11732866 5931008 5873115 5873115
:/dev/sdb1 WITHHELD ext4 4096 4096 243946291 15111646 2902149 61054976 61005048 61005048
:/dev/sdc1 WITHHELD fuseblk 4096 4096 122096000 11775231 11775231 47199228 47111121 47111121
:
Comment 1 Kevin Fenzi 2012-04-24 19:13:21 EDT
What were you doing when this happened? 

Can you duplicate it?

Can you still see it with the newer version in my side repo: 

su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 2 Gianluca 2012-04-25 12:26:14 EDT
during pdf conversion

Package: calibre-0.8.48-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 3 Fedora End Of Life 2013-01-16 18:19:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 20:43:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.